#!/bin/bash
# 脚本文件名：route_leso.sh
# 修订版本：1.0
# 日期：2024/06/14
# 作者：Jack.liu
# 电子邮件：lqf@xlsys.cn
# 网址：www.xlsys.cn

# ====格式参数====
sp0="--------------------------------------------------"

# ====名称参数====
sp1="小柳实验室-路由助手v1.0(20240614)"
sp2="描述:电信综合楼访问乐搜内部40服务器策略路由!"

# ====显示名称====
echo -e "\033]0;$sp1\007"

# ====显示颜色====
echo -e "\033[0;32m"

menu() {
    clear
    echo "$sp0"
    echo
    echo "$sp1"
    echo
    echo "$sp2"
    echo
    echo "$sp0"
    echo
    echo "             1. 添加路由策略"
    echo
    echo "             2. 恢复路由策略"
    echo
    echo "             3. 退出"
    echo
    read -p "请输入选项（1、2或3）：" choice
    case $choice in
        1) add_route ;;
        2) delete_route ;;
        3) exit_script ;;
        *) menu ;;
    esac
}

add_route() {
    sudo route -n add -net 192.168.40.0/24  192.168.6.126
    sudo route -n add -net 10.10.10.0/24  192.168.6.126
    echo "路由策略已添加。"
    read -p "按任意键继续..."
    web
}

delete_route() {
    sudo route delete -net 192.168.40.0/24
    sudo route delete -net 10.10.10.0/24
    echo "路由策略已删除。"
    read -p "按任意键继续..."
    web
}

# 打开浏览器
web() {
    open "https://www.xlsys.cn/4436.html"
    menu
}

exit_script() {
    echo "退出脚本。"
    exit
}

menu
